Vendor Orders
Working with vendor orders.
List Vendor Orders
GET /v1/vendor_orders
Retrieves a list of stored vendor orders.
Return Type
array<VendorOrders>
Filters
| Field | Operators | Value List URL |
|---|---|---|
| status | IN, NOT_IN | |
| order_channel_id | IN, NOT_IN | |
| ordered_on | ON_DATE, LESS_THAN, MORE_THAN | |
| finalised | ON_DATE, LESS_THAN, MORE_THAN | |
| code | EQUALS, LIKE |
Sortings
Results can be sorted by the following keys: finalised, ordered_on.
Available expands
| Field | Return Type | Description |
|---|---|---|
address_country | Countries | A country. |
currency | Currencies | Currency data. |
items | array<VendorOrderItems> | A line in a vendor order. |
items.product_variation | ProductVariations | Marketplace listable products’ data. |
items.status | VendorOrderItemStatuses | A status for a vendor order item. |
order_channel | OrderChannels | Customer order groups. |
warehouse | Warehouses | A warehouse. |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::VENDOR-ORDERS::READ.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("GET", "https://public-api.bladepro.io/v1/vendor_orders?expand=*", [
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.get 'https://public-api.bladepro.io/v1/vendor_orders?expand=*', {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "GET",
json: true,
uri: "https://public-api.bladepro.io/v1/vendor_orders?expand=*",
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request GET 'https://public-api.bladepro.io/v1/vendor_orders?expand=*' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86",
"paging": {
"page": 1,
"records": 1,
"per_page": 250,
"total_records": 1,
"total_pages": 1
}
},
"data": [
{
"id": 123,
"code": "QWER123ASD",
"status": "processing",
"vendor": "VEN-01",
"ordered_on": "2026-08-27T07:38:35.048Z",
"deliver_from": "2026-09-01T07:38:35.048Z",
"deliver_to": "2026-09-06T07:38:35.048Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": null,
"delivery_party": null,
"order_channel_id": 1,
"currency_id": 1,
"warehouse_id": 1,
"finalised": null,
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_county": "Dorset",
"address_country_id": 231,
"created": "2026-08-27T07:38:35.048Z",
"modified": "2026-08-27T07:38:35.048Z"
}
]
}Create Vendor Order
POST /v1/vendor_orders
Creates a new vendor order.
Request Body
Return Type
Types for the Request Body
CreateVendorOrderPayload (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
order_channel_id | Target order channel ID. | integer | requirednot nullmin is 1 |
vendor_order | The vendor order. | VendorOrder | requirednot null |
Item
| Key | Description | Types | Restrictions |
|---|---|---|---|
product_variation_id | ID of the product variation. | integer | requiredmin is 1 |
model_number | Model number. | string | requiredmin length is 1max length is 191 |
asin | ASIN. | string | requiredmin length is 1max length is 191 |
sku | SKU. | string | requiredmin length is 1max length is 191 |
name | Product name. | string | requiredmin length is 1max length is 191 |
expected_delivery_date | Expected delivery date. | date | required |
submitted_quantity | Submitted quantity. | integer | requirednot nullmin is 1 |
unit_cost | Unit cost. | number | requirednot null |
VendorOrder
| Key | Description | Types | Restrictions |
|---|---|---|---|
code | Third party ID. | string | requirednot nullmin length is 1max length is 100 |
vendor | Description of the vendor. | string | requirednot nullmin length is 1max length is 191 |
warehouse | Delivery destination. | string | requiredmin length is 1max length is 191 |
ordered_on | Date of ordering as described by the third party. | date | requirednot null |
deliver_from | Start date of requested delivery window. | date | requirednot null |
deliver_to | End date of requested delivery window. | date | requirednot null |
freight_terms | Freight terms. | string | requiredmin length is 1max length is 191 |
payment_method | Payment method. | string | requiredmin length is 1max length is 191 |
payment_terms | Payment terms. | string | requiredmin length is 1max length is 191 |
purchasing_entity | Purchasing entity. | string | requiredmin length is 1max length is 191 |
delivery_party | Delivery Party. | string | requiredmin length is 1max length is 191 |
currency_id | ISO code of currency. | string | requirednot nullmin length is 2max length is 3match is /^[A-Z]{2,3}$/i |
items | Vendor order items. | array<Item> | requirednot nullmin count is 1 |
address_first_name | First name of address. | string | required |
address_last_name | Last name of address. | string | required |
address_company | Company name of address. | string | required |
address_line_one | Address line one. | string | required |
address_line_two | Address line two. | string | required |
address_line_three | Address line three. | string | required |
address_postcode | Postcode of address. | string | required |
address_town | Town of address. | string | required |
address_country | Country ISO of address. | string | requiredmin length is 2max length is 3match is /^[a-z]{2,3}$/i |
address_county | County or region of address. | string | required |
Rate limit cost
Each call to this endpoint deducts 2 credits from your request bucket.
Scopes
This endpoint is only available for users with scope APP::VENDOR-ORDERS::MANAGE.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/vendor_orders", [
"body" => json_encode([
"order_channel_id" => 3,
"vendor_order" => [
"code" => "QWER123ASD",
"vendor" => "VEN-01",
"warehouse" => "CHR",
"ordered_on" => "2026-11-03T00:00:00.000Z",
"deliver_from" => "2026-11-03T00:00:00.000Z",
"deliver_to" => "2026-11-10T00:00:00.000Z",
"freight_terms" => null,
"payment_method" => null,
"payment_terms" => null,
"purchasing_entity" => "#",
"delivery_party" => "#",
"currency_id" => "GBP",
"items" => [
[
"product_variation_id" => 1,
"model_number" => "MODEL_30845",
"asin" => "ASIN34w5-068",
"sku" => "SKU_01",
"name" => "Example Product 01",
"expected_delivery_date" => "2026-09-01T07:38:35.049Z",
"submitted_quantity" => 1000,
"unit_cost" => 12.34,
],
],
"address_first_name" => "Amazon",
"address_last_name" => "Inc.",
"address_company" => null,
"address_line_one" => "1 Amazon Rd",
"address_line_two" => null,
"address_line_three" => null,
"address_postcode" => "BH23 4FL",
"address_town" => "Christchurch",
"address_country" => "GB",
"address_county" => "Dorset",
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/vendor_orders', {
order_channel_id: 3,
vendor_order: {
code: "QWER123ASD",
vendor: "VEN-01",
warehouse: "CHR",
ordered_on: "2026-11-03T00:00:00.000Z",
deliver_from: "2026-11-03T00:00:00.000Z",
deliver_to: "2026-11-10T00:00:00.000Z",
freight_terms: nil,
payment_method: nil,
payment_terms: nil,
purchasing_entity: "#",
delivery_party: "#",
currency_id: "GBP",
items: [
{
product_variation_id: 1,
model_number: "MODEL_30845",
asin: "ASIN34w5-068",
sku: "SKU_01",
name: "Example Product 01",
expected_delivery_date: "2026-09-01T07:38:35.049Z",
submitted_quantity: 1000,
unit_cost: 12.34,
},
],
address_first_name: "Amazon",
address_last_name: "Inc.",
address_company: nil,
address_line_one: "1 Amazon Rd",
address_line_two: nil,
address_line_three: nil,
address_postcode: "BH23 4FL",
address_town: "Christchurch",
address_country: "GB",
address_county: "Dorset",
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/vendor_orders",
body: {
"order_channel_id": 3,
"vendor_order": {
"code": "QWER123ASD",
"vendor": "VEN-01",
"warehouse": "CHR",
"ordered_on": "2026-11-03T00:00:00.000Z",
"deliver_from": "2026-11-03T00:00:00.000Z",
"deliver_to": "2026-11-10T00:00:00.000Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": "#",
"delivery_party": "#",
"currency_id": "GBP",
"items": [
{
"product_variation_id": 1,
"model_number": "MODEL_30845",
"asin": "ASIN34w5-068",
"sku": "SKU_01",
"name": "Example Product 01",
"expected_delivery_date": "2026-09-01T07:38:35.049Z",
"submitted_quantity": 1000,
"unit_cost": 12.34
}
],
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_country": "GB",
"address_county": "Dorset"
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/vendor_orders' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"order_channel_id": 3,
"vendor_order": {
"code": "QWER123ASD",
"vendor": "VEN-01",
"warehouse": "CHR",
"ordered_on": "2026-11-03T00:00:00.000Z",
"deliver_from": "2026-11-03T00:00:00.000Z",
"deliver_to": "2026-11-10T00:00:00.000Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": "#",
"delivery_party": "#",
"currency_id": "GBP",
"items": [
{
"product_variation_id": 1,
"model_number": "MODEL_30845",
"asin": "ASIN34w5-068",
"sku": "SKU_01",
"name": "Example Product 01",
"expected_delivery_date": "2026-09-01T07:38:35.049Z",
"submitted_quantity": 1000,
"unit_cost": 12.34
}
],
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_country": "GB",
"address_county": "Dorset"
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"id": 123,
"code": "QWER123ASD",
"status": "processing",
"vendor": "VEN-01",
"ordered_on": "2026-08-27T07:38:35.048Z",
"deliver_from": "2026-09-01T07:38:35.048Z",
"deliver_to": "2026-09-06T07:38:35.048Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": null,
"delivery_party": null,
"order_channel_id": 1,
"currency_id": 1,
"warehouse_id": 1,
"finalised": null,
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_county": "Dorset",
"address_country_id": 231,
"created": "2026-08-27T07:38:35.049Z",
"modified": "2026-08-27T07:38:35.049Z"
}
}Get Vendor Order
GET /v1/vendor_orders/:vendorOrderId
Retrieves a single vendor order.
Parameter Regular Expressions
- :vendorOrderId: [1-9][0-9]{0,}
Return Type
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::VENDOR-ORDERS::READ.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("GET", "https://public-api.bladepro.io/v1/vendor_orders/123", [
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.get 'https://public-api.bladepro.io/v1/vendor_orders/123', {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "GET",
json: true,
uri: "https://public-api.bladepro.io/v1/vendor_orders/123",
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request GET 'https://public-api.bladepro.io/v1/vendor_orders/123' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"id": 123,
"code": "QWER123ASD",
"status": "processing",
"vendor": "VEN-01",
"ordered_on": "2026-08-27T07:38:35.049Z",
"deliver_from": "2026-09-01T07:38:35.049Z",
"deliver_to": "2026-09-06T07:38:35.049Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": null,
"delivery_party": null,
"order_channel_id": 1,
"currency_id": 1,
"warehouse_id": 1,
"finalised": null,
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_county": "Dorset",
"address_country_id": 231,
"created": "2026-08-27T07:38:35.049Z",
"modified": "2026-08-27T07:38:35.049Z"
}
}Confirm Vendor Order
PUT /v1/vendor_orders/:vendorOrderId/complete
Marks a vendor order as confirmed.
Parameter Regular Expressions
- :vendorOrderId: [1-9][0-9]{0,}
Request Body
Ignored.
Return Type
Rate limit cost
Each call to this endpoint deducts 2 credits from your request bucket.
Scopes
This endpoint is only available for users with scope vendor-orders.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("PUT", "https://public-api.bladepro.io/v1/vendor_orders/123/complete", [
"body" => "{}",
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.put 'https://public-api.bladepro.io/v1/vendor_orders/123/complete', {}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "PUT",
json: true,
uri: "https://public-api.bladepro.io/v1/vendor_orders/123/complete",
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request PUT 'https://public-api.bladepro.io/v1/vendor_orders/123/complete' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"id": 123,
"code": "QWER123ASD",
"status": "processing",
"vendor": "VEN-01",
"ordered_on": "2026-08-27T07:38:35.050Z",
"deliver_from": "2026-09-01T07:38:35.050Z",
"deliver_to": "2026-09-06T07:38:35.050Z",
"freight_terms": null,
"payment_method": null,
"payment_terms": null,
"purchasing_entity": null,
"delivery_party": null,
"order_channel_id": 1,
"currency_id": 1,
"warehouse_id": 1,
"finalised": null,
"address_first_name": "Amazon",
"address_last_name": "Inc.",
"address_company": null,
"address_line_one": "1 Amazon Rd",
"address_line_two": null,
"address_line_three": null,
"address_postcode": "BH23 4FL",
"address_town": "Christchurch",
"address_county": "Dorset",
"address_country_id": 231,
"created": "2026-08-27T07:38:35.050Z",
"modified": "2026-08-27T07:38:35.050Z"
}
}